<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@page session="true"%><%@ page import="com.edeal.frontline.navigation.FlRequest,java.util.*,com.edeal.frontline.*;"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean id="Solicitation" class="com.edeal.frontline.SolicitationBean" scope="request"></jsp:useBean>

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
    FlRequest flRequest = new FlRequest(request);
    FlContext context = flRequest.getContext();
    DataDictionary dico = context.getDataDictionary();
    String id = "";
    try{
		id=Solicitation.getID();
    }catch(Exception e){
    	id=flRequest.getRequestParameterOrAttribute("id");
    }

    String sActionType = context.getContextParameter("SActionType");
    boolean isSimple = "SIMPLE".equals(sActionType);
    boolean isComplete = "COMPLETE".equals(sActionType);
    boolean isBoth = "BOTH".equals(sActionType);
    
    // ramener les ids des 4 catgories de la sollicitation
    String spresCategory; // Plainte d'un Guest suite  une rservation 
    String spfidCategory; // Plainte lie au programme de fidlisation 
    String spqaCategory; // Plainte de mcontentement (suivi qualit)
    String scomCategory; // Compliment
    try {
    	spresCategory = dico.getRefIdByCode("So_", "Te1", "SPRES");
    	spfidCategory = dico.getRefIdByCode("So_", "Te1", "SPFID");
    	spqaCategory = dico.getRefIdByCode("So_", "Te1", "SPQA");
    	scomCategory = dico.getRefIdByCode("So_", "Te1", "SCOM");
    } catch (Exception e) {
    	spresCategory = null;
    	spfidCategory = null;
    	spqaCategory = null;
    	scomCategory = null;
    }
  	
    // ramener les ids des 6 tats de la sollicitation
    String waitingState; // En Attente
    String openState; // Ouverte
    String assignedState; // Assigne
    String notifyState; // Accus de rcption
    String closedState; // Ferme
    String investigState; // Vrification
    String archivedState; //Archive
    try {
    	waitingState = dico.getRefIdByCode("Sts", "Te1", "WAITING");
    	openState = dico.getRefIdByCode("Sts", "Te1", "OPEN");
    	assignedState = dico.getRefIdByCode("Sts", "Te1", "ASSIGNED");
    	notifyState = dico.getRefIdByCode("Sts", "Te1", "NOTIFY");
    	closedState = dico.getRefIdByCode("Sts", "Te1", "CLOSED");
    	investigState = dico.getRefIdByCode("Sts", "Te1", "INVESTIG");
    	archivedState = dico.getRefIdByCode("Sts", "Te1", "ARCHIVE");
    	
    } catch (Exception e) {
    	waitingState = null;
    	openState = null;
    	assignedState = null;
    	notifyState = null;
    	closedState = null;
    	investigState = null;
    	archivedState = null;
    }
    
 	// Dtecter l'tat de la sollicitation

    String statutID;
    try {
    	statutID = Solicitation.getSolStsID();
    } catch (FieldNotInitializedException e) {
    	statutID = openState; /*Par dfaut on la considre dans l'tat "Ouverte"*/
    }
    
 	// Dtecter la catgorie de la sollicitation

    String categoryID = null; ;
    try {
    	categoryID = (String)Solicitation.getCustomProperty("SolCategorie_");
    } catch (FieldNotInitializedException e) {
    	categoryID = ""; 
    }
    
    // l'ID de la correspondance et de la todo
    String corrID;
    String todoID;
	try {
		corrID = dico.getRefIdByCode("IntType_", "COR");
		todoID = dico.getRefIdByCode("IntType_", "ACT");
	} catch (FieldNotInitializedException e) {
		corrID = "";
		todoID ="";
	}
	
	// Dans le cas d'un Refus ou d'un Problme Humain, il faut pouvoir faire une  TOdo pour le service financier
	
    String phID;
	String prID;
	try {
		phID = dico.getRefIdByCode("SolSourcePlainte_", "PH");
		prID = dico.getRefIdByCode("SolSourcePlainte_", "PR");
	
	} catch (FieldNotInitializedException e) {
		phID = "";
		prID = "";
	}

	boolean todoAction = false;
	
	try {
		if(phID.equals((String)Solicitation.getCustomProperty("SolSourcePlainte_")) || prID.equals((String)Solicitation.getCustomProperty("SolSourcePlainte_"))){
			todoAction =true;
		}
	} catch (FieldNotInitializedException e) {
	}
	
	String courrierTitle="LF35C";
	
%>
<script type="text/javascript">

function doArchiveSol() {
	if(confirm('<fl:getMessage code="MF002" alt="Etes-vous sr de vouloir archiver?" js="true"/>')) {
		window.location = '<fl:link url="<%= \"/archive_solicitation.fl?initSolID=\" + id%>"/>';
	}
}

$(document).ready(function() {
	checkC3TCTI([$("#transferC3TButton"), $("#transferC3TSeparator")]);
});

function doWord(id,obj,informat) {
	format = "Word";
	if (informat && informat == "PDF") {
		format = "PDF";
	}
	window.open('<fl:webapp/>/fusion_document.fl?format=' + format + '&idObj='+id+'&object='+obj, 'listOpp', 'menubar=no,status=no,toolbar=no,scrollbars=auto,resizable=yes,width=860,height=460');
}

function fichier() {
	window.open('<fl:link list="false" url="<%= \"/addfile_solicitation.fl?$$presentFields=&id=\" + id %>"/>','Fichier', 'width=450,height=200,scrollbars=yes,resizable=no,toolbar=no');
}

function doDelete(){
	if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
		window.location = '<fl:link url="<%= \"/delete_solicitation.fl?id=\" + id%>"/>';
		}
}

</script>

	<%-- <tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1 actions_nolabel">
				<a class="doc_fusion word" title="<fl:getMessage code="L6126" alt="Gnrer Document Word"/>" href="javascript:doWord('<fl:getProperty name="Solicitation" property="SolID" alt=""/>','Solicitation','Word');">
					<img src="<fl:webapp/>/icons/ico_word_inv.gif" border=0 width="15" height="15" alt="<fl:getMessage code="L6126" alt="Gnrer Document Word"/>">
				</a>&nbsp;
				<a  class="doc_fusion pdf" title="<fl:getMessage code="L6557" alt="Gnrer Document PDF"/>" href="javascript:doWord('<fl:getProperty name="Solicitation" property="SolID" alt=""/>','Solicitation','PDF');">
					<img src="<fl:webapp/>/icons/ico_acrobat_inv.gif" border=0 width="15" height="15" alt="<fl:getMessage code="L6557" alt="Gnrer Document PDF"/>">
				</a>
				
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr> --%>

<fl:access name="Solicitation" operation="READ">
	<tr C3TItemNowLoading="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<img src="<fl:webapp/>/icons/dico-loader.gif"/> Connexion I-Reflet...
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr C3TItemNowLoading="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr C3TItem="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:selectToTransfert('<%=id%>', 'solicitation');">
					<p class="actions_tabletext"><fl:getMessage code="L6431" alt="Transfrer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr C3TItem="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr C3TItem="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:openCallWindow();">
					<p class="actions_tabletext"><fl:getMessage code="XXXX" alt="Fentre d'appel"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr C3TItem="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>

<fl:access operation="edit" name="Solicitation">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/edit_solicitation.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
 
    <%
		if( (statutID.equalsIgnoreCase(openState) && categoryID.equalsIgnoreCase(spresCategory)) || (statutID.equalsIgnoreCase(openState) && categoryID.equalsIgnoreCase(spfidCategory)) || (statutID.equalsIgnoreCase(openState) && categoryID.equalsIgnoreCase(spqaCategory)) || (statutID.equalsIgnoreCase(openState) && categoryID.equalsIgnoreCase(scomCategory))  ){%>	
<%-- 	---------------------Crer correspondance courrier au client--------------------    
<tr>
		<td class="actions_cell_left">
		</td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doWord('<fl:getProperty name="Solicitation" property="SolID" alt=""/>','Solicitation', 'WORD', 'Solicitation');"/>
					<img src="<fl:webapp/>/icons/ico_acrobat_inv.gif" style="width: 15; height: 15;" alt="<fl:getMessage code="<%=courrierTitle%>" alt="Visualiser le PDF"/>" title="<fl:getMessage code="<%=courrierTitle%>" alt="Visualiser le PDF"/>">
					<p class="actions_tabletext"><fl:getMessage code="<%=courrierTitle%>" alt="Visualiser le PDF"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
</tr>
--%>	 
         <%--  <tr>
	           <td class="actions_cell_left"></td>
      	<td>
		<div class="actions_tablecell_1">
			<a href="<fl:link url="<%= \"/envoyer_sollicitation_courrier_unitaire.fl\" + (id != null? \"?id=\" + id : \"\") %>"/>">
			<img src="<fl:webapp/>/icons/ico_interaction/alerte_courrier.gif" style="width: 15; height: 15;" alt="<fl:getMessage code="<%=courrierTitle%>" alt="Envoyer le Courrier"/>" title="<fl:getMessage code="<%=courrierTitle%>" alt="Envoyer le Courrier"/>">
				<p class="actions_tabletext"><fl:getMessage code="<%=courrierTitle%>" alt="Envoyer le Courrier"/></p>
			</a>
		</div>
	   </td>
        	<td class="actions_cell_right"></td>
         </tr> --%>
         
<%--         
<tr>
	<td class="actions_cell_left"></td>
	<td class="actions_tablecell_seperator"></td>
	<td class="actions_cell_right"></td>
</tr>
--%> 
	 <%--    -----------------------Crer correspondance mail au client------------------
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td>
	           	<div class="actions_tablecell_1">
					<a href="<fl:link url="<%= \"/accreception_solicitation.fl\" + (id != null? \"?initSolID=\" + id : \"\") %>"/>">
						<p class="actions_tabletext"><fl:getMessage code="LF0E8" alt="Crer un accus de rception"/></p>
					</a>
				</div>
	        </td>
	        <td class="actions_cell_right"></td>
	    </tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	    --%>
    	<%} else if(statutID.equalsIgnoreCase(notifyState) && categoryID.equalsIgnoreCase(spfidCategory)) {%>	
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td>
	           	<div class="actions_tablecell_1">
					<a href="<fl:link url="<%= \"/demjustif_solicitation.fl\" + (id != null? \"?initSolID=\" + id : \"\") %>"/>">
						<p class="actions_tabletext"><fl:getMessage code="LF0F5" alt="Mettre en attente la sollicitation"/></p>
					</a>
				</div>
	        </td>
	        <td class="actions_cell_right"></td>
	    </tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	    <%} else if(statutID.equalsIgnoreCase(notifyState) && categoryID.equalsIgnoreCase(spresCategory)) {%>	
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td>
	           	<div class="actions_tablecell_1">
					<a href="<fl:link url="<%= \"/assigner_solicitation.fl\" + (id != null? \"?initSolID=\" + id : \"\") %>"/>">
						<p class="actions_tabletext"><fl:getMessage code="LF0E9" alt="Assigner la sollictation"/></p>
					</a>
				</div>
	        </td>
	        <td class="actions_cell_right"></td>
	    </tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>   
    	<%} else if((statutID.equalsIgnoreCase(assignedState) && categoryID.equalsIgnoreCase(spresCategory)) || (statutID.equalsIgnoreCase(notifyState) && categoryID.equalsIgnoreCase(spqaCategory)) ) {%>	
        <%--
        <tr>
        <td class="actions_cell_left"></td>
        <td>
           	<div class="actions_tablecell_1">
				<a href="<fl:link url="<%= \"/verifier_solicitation.fl\" + (id != null? \"?initSolID=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="LF0EA" alt="Vrifier la sollictation"/></p>
				</a>
			</div>
        </td>
        <td class="actions_cell_right"></td>
    	</tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	     --%>
	    <%} else if( (statutID.equalsIgnoreCase(waitingState) && categoryID.equalsIgnoreCase(spfidCategory)) ) {%>
	    <%-- 
	    <tr>
        <td class="actions_cell_left"></td>
        <td>
           	<div class="actions_tablecell_1">
				<a href="<fl:link url="/create_interaction_solicitation.fl?" />&IntType_=<%= corrID %>&initIntSolID_=<%= id %>">
					<p class="actions_tabletext"><fl:getMessage code="LF0EC" alt="Demander des justificatifs"/></p>
				</a>
			</div>
        </td>
        <td class="actions_cell_right"></td>
    	</tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	    <tr>
	    
        <td class="actions_cell_left"></td>
        <td>
           	<div class="actions_tablecell_1">
				<a href="<fl:link url="<%= \"/verifier_solicitation.fl\" + (id != null? \"?initSolID=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="LF0EA" alt="Vrifier la sollictation"/></p>
				</a>
			</div>
        </td>
        <td class="actions_cell_right"></td>
    	</tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	    --%>
	    <%} else if( (statutID.equalsIgnoreCase(notifyState) && categoryID.equalsIgnoreCase(scomCategory)) ) {%>	
		<%--
		<tr>
		<td class="actions_cell_left"></td>
        <td>
           	<div class="actions_tablecell_1">
				<a href="<fl:link url="<%= \"/fermer_solicitation.fl\" + (id != null? \"?initSolID=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="LF0EB" alt="Cloturer la sollictation"/></p>
				</a>
			</div>
        </td>
        <td class="actions_cell_right"></td>
    	</tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	     --%>	    <%} else if( (statutID.equalsIgnoreCase(investigState) && categoryID.equalsIgnoreCase(spresCategory)) || (statutID.equalsIgnoreCase(investigState) && categoryID.equalsIgnoreCase(spfidCategory)) || (statutID.equalsIgnoreCase(investigState) && categoryID.equalsIgnoreCase(spqaCategory)) ) {%>	

		<%--
		<tr>
        <td class="actions_cell_left"></td>
        <td>
           	<div class="actions_tablecell_1">
				<a href="<fl:link url="/create_interaction_solicitation.fl?" />&IntType_=<%= corrID %>&initIntSolID_=<%= id %>">
					<p class="actions_tabletext"><fl:getMessage code="LF0ED" alt="Demander plus d'informations"/></p>
				</a>
			</div>
        </td>
        <td class="actions_cell_right"></td>
    	</tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	     --%>
	    <%} else if( statutID.equalsIgnoreCase(closedState) && (categoryID.equalsIgnoreCase(spresCategory) || categoryID.equalsIgnoreCase(spfidCategory)) && !todoAction)  {%>	
		<tr>
	        <td class="actions_cell_left"></td>
	        <td>
	           	<div class="actions_tablecell_1">
					<a href="<fl:link url="/create_interaction_solicitation.fl?" />&IntType_=<%= corrID %>&initIntSolID_=<%= id %>">
						<p class="actions_tabletext"><fl:getMessage code="LF0F1" alt="Envoyer Un mail de confirmation"/></p>
					</a>
				</div>
	        </td>
	        <td class="actions_cell_right"></td>
    	</tr>
    	
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	    
	    <%} else if( statutID.equalsIgnoreCase(closedState) && categoryID.equalsIgnoreCase(scomCategory))  {%>	
		<%-- 
		<tr>
	        <td class="actions_cell_left"></td>
	        <td>
	           	<div class="actions_tablecell_1">
					<a href="<fl:link url="/create_interaction_solicitation.fl?" />&IntType_=<%= corrID %>&initIntSolID_=<%= id %>">
						<p class="actions_tabletext"><fl:getMessage code="LF0EE" alt="Communiquer les infos"/></p>
					</a>
				</div>
	        </td>
	        <td class="actions_cell_right"></td>
    	</tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	    --%>
	    <%} else if( statutID.equalsIgnoreCase(closedState) && categoryID.equalsIgnoreCase(spfidCategory) && todoAction)  {%>	
		<%--
		<tr>
	        <td class="actions_cell_left"></td>
	        <td>
	           	<div class="actions_tablecell_1">
					<a href="<fl:link url="/create_interaction_solicitation.fl?" />&IntType_=<%= todoID %>&initIntSolID_=<%= id %>">
						<p class="actions_tabletext"><fl:getMessage code="LF0F2" alt="TODO pour le service juridique"/></p>
					</a>
				</div>
	        </td>
	        <td class="actions_cell_right"></td>
    	</tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	     --%>
    	<%}%>
</fl:access>
	<%--
<fl:access operation="edit" name="Solicitation">
 
	<% if(!statutID.equalsIgnoreCase(archivedState)) { %>
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:doArchiveSol();">
                    <p class="actions_tabletext"><fl:getMessage code="L7114" alt="Archiver"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
    <%} %>
</fl:access>
--%>

<fl:access operation="edit" name="Solicitation">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link url="/create_interaction_solicitation.fl?" />&IntType_=<%= todoID %>&initIntSolID_=<%= id %>">
                    <p class="actions_tabletext"><fl:getMessage code="FF0BD" alt="Todo +"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%-- 
<fl:access operation="edit" name="Solicitation">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link url="/create_interaction_solicitation.fl?" />&IntType_=<%= corrID %>&initIntSolID_=<%= id %>">
                    <p class="actions_tabletext"><fl:getMessage code="FF09A" alt="Correspondance"/>&nbsp;+</p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
--%>
<fl:access operation="edit" name="Solicitation">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link url="/correspondance_tiers.fl?" />&typeVal=TIERS&initSolID=<%= id %>">
                    <p class="actions_tabletext"><fl:getMessage code="FF280" alt="Correspondance Tiers"/>&nbsp;+</p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<fl:access operation="edit" name="Solicitation">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link url="/correspondance_contact.fl?" />&typeVal=CONTACT&initSolID=<%= id %>">
                    <p class="actions_tabletext"><fl:getMessage code="FF281" alt="Correspondance Client"/>&nbsp;+</p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>




	<% if(! (statutID.equalsIgnoreCase(closedState)) ) { %>
<fl:access operation="edit" name="Solicitation">
		<tr>
		<td class="actions_cell_left"></td>
        <td>
           	<div class="actions_tablecell_1">
				<a href="<fl:link url="<%= \"/fermer_solicitation.fl\" + (id != null? \"?initSolID=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="LF0EB" alt="Cloturer la sollictation"/></p>
				</a>
			</div>
        </td>
        <td class="actions_cell_right"></td>
    	</tr>
	    <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
</fl:access>
	<%} else { %>
		<tr>
	        <td class="actions_cell_left"></td>
	        <td>
	           	<div class="actions_tablecell_1">
					<a href="<fl:link url="<%= \"/reouvrir_solicitation.fl\" + (id != null? \"?initSolID=\" + id : \"\") %>"/>">
						<p class="actions_tabletext"><fl:getMessage code="LF35E" alt="Rouvrir la sollicitation"/></p>
					</a>
				</div>
	        </td>
	        <td class="actions_cell_right"></td>
    	</tr>
    	
    	 <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
	<% } %>	
<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:fichier()">
                    <p class="actions_tabletext"><fl:getMessage code="FF0BE" alt="Fichier +"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<fl:access operation="delete" name="Solicitation">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:doDelete()">
                    <p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<fl:access operation="read" name="Solicitation">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/solquicklook.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="L7009" alt="Quicklook"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:getProcessList nbEntry="4"/>